<div class="row">
  <div class="col-sm-6 col-md-8 col-lg-10">
    <h1 id="aboutTitle">Over deze applicatie</h1>
    <p>
      Deze applicatie is gemaakt in het kader van het vak 'Clientside web frameworks' van Avans Hogeschool
      Breda.
    </p>
    <h3>PokeNodeMon</h3>
    <p>
      Het idee van dit project is een soort van pokedex maken, waar je alle Pokemons kan opzoeken, 
      alle moves die een Pokemon kan gebruiken. Je zou een eigen team van 6 pokemons kunnen opstellen,
      en je eigen pokemons kunnnen personalizeren door te kiezen van hun natures, z'n moveset van 4 moves.
      Wanneer je jezelf registreert is er een mogelijkheid om een Pokémon trainer te worden, en badges te kunnen verzamelen.
      <br><br>
      Gotta catch them all! 
    </p>
  </div>
  <div class="col-sm-6 col-md-4 col-lg-2">
    <div class="card">
      <div class="d-flex justify-content-center align-items-center">
        <img
          src="assets/images/fotoNoah.jpg"
          class="card-img-top rounded-circle border profile-pic"
          alt="..."
        />
      </div>
      <div class="card-body">
        <h5 class="card-title">Noah Christiaan de Keijzer</h5>
        <p class="card-text">Studentnummer: 2167874</p>
      </div>
    </div>
  </div>
</div>

<h3>Entiteiten</h3>
<p>
  Beschrijf hier jouw entiteiten, zodanig dat we de complexiteit en de onderlinge relaties ervan kunnen
  beoordelen. Voeg ook een plaatje toe waarin je je datamodel visualiseert.
</p>
<div class="row">
  <div class="col-sm-12 col-md-4">
    <strong><p>User</p></strong>
    <ul>
      <li>firstname: string</li>
      <li>lastname: string</li>
      <li>emailaddress: string</li>
      <li>birthdate: date</li>
      <li>userGender: UserGender</li>
      <li>userRole: UserRole</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <strong><p>Pokémon</p></strong>
    <ul>  
      <li>name: string</li>
      <li>ability: string</li>
      <li>moves: Moves[4]</li>
      <li>type: PokemonType</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <strong><p>Moves</p></strong>
    <ul>
      <li>name: string</li>
      <li>accuracy: number</li>
      <li>damage: number</li>
      <li>statusEffect: PokemonStatusEffect</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <strong><p>PokemonTrainer</p></strong>
    <ul>
      <li>name: string</li>
      <li>badges: number</li>
      <li>pokemonTeam: Pokemon[6]</li>
      <li>user: User</li>
    </ul>
  </div>
</div>
<br><br>
<div class="row">
  <div class="col">
    <img src="assets/images/ERDPokenodemon.png" alt="..." />
  </div>
</div>
<br><br>
<div class="row">
  <div class="col-12">
    <h3>Use Cases</h3>
    <p>De applicatie biedt de volgende functionaliteit.</p>
    <div *ngFor="let UC of useCases">
      <app-usecase [useCase]="UC"></app-usecase>
    </div>
    <p>Vul hier zelf meer functionaliteit toe.</p>
  </div>
</div>
